#include<stdio.h>
#include<mysql.h>
#include "common.h"

MYSQL * db_connect (
	char * db_host,
	char * db_user,
	char * db_pass,
	char * db_name,
	unsigned int db_port,
	char * unix_socket,
	unsigned int db_flags)
{
	MYSQL *mysql;
	mysql=mysql_init(NULL);
	if(mysql==NULL)
	{
		fprintf(stderr,"mysql_init() failed. \n");
		return(NULL);
	}
	if(mysql_real_connect(mysql,
	                      db_host,
			      db_user,
			      db_pass,
			      db_name,
			      db_port,
			      unix_socket,
			      db_flags)==NULL)

	{
		fprintf(stderr,"mysql_real_connect() failed! \n Error %u: %s \n",
		mysql_errno(mysql),
		mysql_error(mysql));
		return (NULL);
	}
	return (mysql);
}
void db_disconnect (MYSQL *mysql)
{
	mysql_close(mysql);
}



